Body mass, numerical abundance and biomass abundance {cheddar} | R Documentation

## Body mass, numerical abundance and biomass abundance

### Description

Convenience functions for accessing log10-transformed body mass, M, numerical abundance, N, and biomass abundance, B.

### Usage

    Log10M(community)
    Log10N(community)
    Biomass(community)
    Log10Biomass(community)
    Log10MNBiomass(community)

    RCMRatio(community)
    Log10RCMRatio(community)
    CRMRatio(community)
    Log10CRMRatio(community)

### Arguments

`community` | an object of class `Community`.

### Details

`Log10M`, `Log10N`, `Biomass`, `Log10Biomass` and each return a value per node. `Log10MNBiomass` returns a matrix with a row per node and columns ‘Log10M’, ‘Log10N’ and ‘Log10Biomass’. These functions are all suitable for use with `NPS`.

`RCMRatio` returns the ratio between the resource and consumer body mass for every trophic link. `Log10RCMRatio` returns the same data log10-transformed. `CRMRatio` and `Log10CRMRatio` are analagous functions that return the ratio between the consumer and resource body mass. These functions are all suitable for use with `TLPS`.

### Value

A vector of length `NumberOfNodes` or a vector of length `NumberOfTrophicLinks`

### Author(s)

Lawrence Hudson

### See Also

`NumberOfNodes`, `NPS`, `NumberOfTrophicLinks`, `TLPS`

### Examples

    data(TL84)

    NPS(TL84, c('M', 'Log10M', 'N', 'Log10N', 'Biomass', 'Log10Biomass'))

    NPS(TL84, 'Log10MNBiomass')

    TLPS(TL84, link.properties=c('Log10RCMRatio', 'Log10CRMRatio'))

[Package cheddar version 0.1-633 Index]